import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  DatabaseMigrationServiceClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../DatabaseMigrationServiceClient";
import {
  BatchStartRecommendationsRequest,
  BatchStartRecommendationsResponse,
} from "../models/models_0";
export { __MetadataBearer };
export { $Command };
export interface BatchStartRecommendationsCommandInput
  extends BatchStartRecommendationsRequest {}
export interface BatchStartRecommendationsCommandOutput
  extends BatchStartRecommendationsResponse,
    __MetadataBearer {}
declare const BatchStartRecommendationsCommand_base: {
  new (
    input: BatchStartRecommendationsCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    BatchStartRecommendationsCommandInput,
    BatchStartRecommendationsCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    ...[input]: [] | [BatchStartRecommendationsCommandInput]
  ): import("@smithy/smithy-client").CommandImpl<
    BatchStartRecommendationsCommandInput,
    BatchStartRecommendationsCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class BatchStartRecommendationsCommand extends BatchStartRecommendationsCommand_base {}
