import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  DatabaseMigrationServiceClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../DatabaseMigrationServiceClient";
import {
  DescribeReplicationInstanceTaskLogsMessage,
  DescribeReplicationInstanceTaskLogsResponse,
} from "../models/models_0";
export { __MetadataBearer };
export { $Command };
export interface DescribeReplicationInstanceTaskLogsCommandInput
  extends DescribeReplicationInstanceTaskLogsMessage {}
export interface DescribeReplicationInstanceTaskLogsCommandOutput
  extends DescribeReplicationInstanceTaskLogsResponse,
    __MetadataBearer {}
declare const DescribeReplicationInstanceTaskLogsCommand_base: {
  new (
    input: DescribeReplicationInstanceTaskLogsCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    DescribeReplicationInstanceTaskLogsCommandInput,
    DescribeReplicationInstanceTaskLogsCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    __0_0: DescribeReplicationInstanceTaskLogsCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    DescribeReplicationInstanceTaskLogsCommandInput,
    DescribeReplicationInstanceTaskLogsCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class DescribeReplicationInstanceTaskLogsCommand extends DescribeReplicationInstanceTaskLogsCommand_base {}
