import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  DatabaseMigrationServiceClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../DatabaseMigrationServiceClient";
import {
  ModifyDataProviderMessage,
  ModifyDataProviderResponse,
} from "../models/models_1";
export { __MetadataBearer };
export { $Command };
export interface ModifyDataProviderCommandInput
  extends ModifyDataProviderMessage {}
export interface ModifyDataProviderCommandOutput
  extends ModifyDataProviderResponse,
    __MetadataBearer {}
declare const ModifyDataProviderCommand_base: {
  new (
    input: ModifyDataProviderCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    ModifyDataProviderCommandInput,
    ModifyDataProviderCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    __0_0: ModifyDataProviderCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    ModifyDataProviderCommandInput,
    ModifyDataProviderCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class ModifyDataProviderCommand extends ModifyDataProviderCommand_base {}
