import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  DatabaseMigrationServiceClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../DatabaseMigrationServiceClient";
import {
  StartReplicationTaskAssessmentRunMessage,
  StartReplicationTaskAssessmentRunResponse,
} from "../models/models_1";
export { __MetadataBearer };
export { $Command };
export interface StartReplicationTaskAssessmentRunCommandInput
  extends StartReplicationTaskAssessmentRunMessage {}
export interface StartReplicationTaskAssessmentRunCommandOutput
  extends StartReplicationTaskAssessmentRunResponse,
    __MetadataBearer {}
declare const StartReplicationTaskAssessmentRunCommand_base: {
  new (
    input: StartReplicationTaskAssessmentRunCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    StartReplicationTaskAssessmentRunCommandInput,
    StartReplicationTaskAssessmentRunCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    __0_0: StartReplicationTaskAssessmentRunCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    StartReplicationTaskAssessmentRunCommandInput,
    StartReplicationTaskAssessmentRunCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class StartReplicationTaskAssessmentRunCommand extends StartReplicationTaskAssessmentRunCommand_base {}
