import { WaiterConfiguration, WaiterResult } from "@smithy/util-waiter";
import { DescribeReplicationInstancesCommandInput } from "../commands/DescribeReplicationInstancesCommand";
import { DatabaseMigrationServiceClient } from "../DatabaseMigrationServiceClient";
export declare const waitForReplicationInstanceAvailable: (
  params: WaiterConfiguration<DatabaseMigrationServiceClient>,
  input: DescribeReplicationInstancesCommandInput
) => Promise<WaiterResult>;
export declare const waitUntilReplicationInstanceAvailable: (
  params: WaiterConfiguration<DatabaseMigrationServiceClient>,
  input: DescribeReplicationInstancesCommandInput
) => Promise<WaiterResult>;
