import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  DatabaseMigrationServiceClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../DatabaseMigrationServiceClient";
import {
  CreateReplicationTaskMessage,
  CreateReplicationTaskResponse,
} from "../models/models_0";
export { __MetadataBearer };
export { $Command };
export interface CreateReplicationTaskCommandInput
  extends CreateReplicationTaskMessage {}
export interface CreateReplicationTaskCommandOutput
  extends CreateReplicationTaskResponse,
    __MetadataBearer {}
declare const CreateReplicationTaskCommand_base: {
  new (
    input: CreateReplicationTaskCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    CreateReplicationTaskCommandInput,
    CreateReplicationTaskCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    __0_0: CreateReplicationTaskCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    CreateReplicationTaskCommandInput,
    CreateReplicationTaskCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class CreateReplicationTaskCommand extends CreateReplicationTaskCommand_base {}
