import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  DatabaseMigrationServiceClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../DatabaseMigrationServiceClient";
import {
  DeleteEndpointMessage,
  DeleteEndpointResponse,
} from "../models/models_0";
export { __MetadataBearer };
export { $Command };
export interface DeleteEndpointCommandInput extends DeleteEndpointMessage {}
export interface DeleteEndpointCommandOutput
  extends DeleteEndpointResponse,
    __MetadataBearer {}
declare const DeleteEndpointCommand_base: {
  new (
    input: DeleteEndpointCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    DeleteEndpointCommandInput,
    DeleteEndpointCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    __0_0: DeleteEndpointCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    DeleteEndpointCommandInput,
    DeleteEndpointCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class DeleteEndpointCommand extends DeleteEndpointCommand_base {}
