import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  DatabaseMigrationServiceClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../DatabaseMigrationServiceClient";
import {
  DeleteReplicationTaskAssessmentRunMessage,
  DeleteReplicationTaskAssessmentRunResponse,
} from "../models/models_0";
export { __MetadataBearer };
export { $Command };
export interface DeleteReplicationTaskAssessmentRunCommandInput
  extends DeleteReplicationTaskAssessmentRunMessage {}
export interface DeleteReplicationTaskAssessmentRunCommandOutput
  extends DeleteReplicationTaskAssessmentRunResponse,
    __MetadataBearer {}
declare const DeleteReplicationTaskAssessmentRunCommand_base: {
  new (
    input: DeleteReplicationTaskAssessmentRunCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    DeleteReplicationTaskAssessmentRunCommandInput,
    DeleteReplicationTaskAssessmentRunCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    __0_0: DeleteReplicationTaskAssessmentRunCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    DeleteReplicationTaskAssessmentRunCommandInput,
    DeleteReplicationTaskAssessmentRunCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class DeleteReplicationTaskAssessmentRunCommand extends DeleteReplicationTaskAssessmentRunCommand_base {}
