import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  DatabaseMigrationServiceClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../DatabaseMigrationServiceClient";
import {
  UpdateSubscriptionsToEventBridgeMessage,
  UpdateSubscriptionsToEventBridgeResponse,
} from "../models/models_1";
export { __MetadataBearer };
export { $Command };
export interface UpdateSubscriptionsToEventBridgeCommandInput
  extends UpdateSubscriptionsToEventBridgeMessage {}
export interface UpdateSubscriptionsToEventBridgeCommandOutput
  extends UpdateSubscriptionsToEventBridgeResponse,
    __MetadataBearer {}
declare const UpdateSubscriptionsToEventBridgeCommand_base: {
  new (
    input: UpdateSubscriptionsToEventBridgeCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    UpdateSubscriptionsToEventBridgeCommandInput,
    UpdateSubscriptionsToEventBridgeCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    ...[input]: [] | [UpdateSubscriptionsToEventBridgeCommandInput]
  ): import("@smithy/smithy-client").CommandImpl<
    UpdateSubscriptionsToEventBridgeCommandInput,
    UpdateSubscriptionsToEventBridgeCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class UpdateSubscriptionsToEventBridgeCommand extends UpdateSubscriptionsToEventBridgeCommand_base {}
